Bug 1465561 - [RFE] Refuse to deploy on localhost.localdomain
[RFE] Refuse to deploy on localhost.localdomain
Status: NEW
Product: ovirt-host-deploy
Classification: oVirt
Component: General (Show other bugs)
master
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: Yedidyah Bar David
Petr Matyáš
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 11:55 EDT by Sandro Bonazzola
Modified: 2017-11-18 02:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3?
pmatyas: testing_plan_complete+
ylavi: planning_ack+
rule-engine: devel_ack?
pstehlik: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Sandro Bonazzola 2017-06-27 11:55:13 EDT
We have seen several times migration failing due to having host with same name, usually localhost.localdomain, just because that's the default hostname set by anaconda.

In order to avoid later issues, let's refuse to deploy hosts without a hostname set.
Comment 1 Yedidyah Bar David 2017-06-28 01:44:56 EDT
I don't mind preventing hostname 'localhost.localdomain', but perhaps we also want to prevent adding a host whose hostname is already registered as the hostname of another host in the db. This is a larger change, requiring patches at least to the engine, perhaps also vdsm or host-deploy (or both).

Sandro, what do you say?
Comment 2 Sandro Bonazzola 2017-06-28 02:29:26 EDT
(In reply to Yedidyah Bar David from comment #1)
> Sandro, what do you say?

Make sense to me but such a change involve infra changes at engine level.
Oved, what do you think?
Comment 3 Yedidyah Bar David 2017-06-28 02:38:31 EDT
BTW, another alternative is to make migration do work in such a case. Not sure that's easy, but we already know what we need to know - we just need to make libvirt not prevent this. See also bug 1107650.
Comment 4 Oved Ourfali 2017-06-28 03:09:45 EDT
(In reply to Sandro Bonazzola from comment #2)
> (In reply to Yedidyah Bar David from comment #1)
> > Sandro, what do you say?
> 
> Make sense to me but such a change involve infra changes at engine level.
> Oved, what do you think?

I don't think this corner case worths the efforts required around that.

Note You need to log in before you can comment on or make changes to this bug.